<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <head>
        <title>Kódování textu do a z Base64</title>
        <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    </head>
    <body>
        <h1>Kódování textu do a z Base64</h1>
        <form action="t_client.php" method="get">
            <p>
                <label for="text">Vstupní text:</label>
                <input name="text" type="text" value="" id="text" /><br />
                <label for="code">Kódovat do Base64</label> <input type="radio" name="orientation" value="code" checked="checked" id="code" /><br />
                <label for="decode">Dekódovat z Base64</label> <input type="radio" name="orientation" value="decode" id="decode" /><br />
                <input type="submit" />
            </p>
        </form>
        <?php
        require_once('lib/nusoap.php');

        $proxyhost = isset($_POST['proxyhost']) ? $_POST['proxyhost'] : '';
        $proxyport = isset($_POST['proxyport']) ? $_POST['proxyport'] : '';
        $proxyusername = isset($_POST['proxyusername']) ? $_POST['proxyusername'] : '';
        $proxypassword = isset($_POST['proxypassword']) ? $_POST['proxypassword'] : '';
        $client = new nusoap_client('http://localhost/nusoap/t_server.php?wsdl', 'wsdl', $proxyhost, $proxyport, $proxyusername, $proxypassword);

        $err = $client->getError();
        if ($err) {
            echo '<h2>Constructor error</h2><pre>' . $err . '</pre>';
        }
// Call the SOAP method
        $result = null;
        if (isset($_GET['orientation']) && isset($_GET['text'])) {
            if ($_GET['orientation'] == 'code') {
                $result = $client->call('getBase64EncodeRequest', array('text' => $_GET['text']));
            } else {
                $result = $client->call('getBase64DecodeRequest', array('text' => $_GET['text']));
            }
        }

// Check for a fault
        if ($client->fault) {
            echo '<h2>Fault</h2><pre>';
            print_r($result);
            echo '</pre>';
        } else {
            // Check for errors
            $err = $client->getError();
            if ($err) {
                // Display the error
                echo '<h2>Error</h2><pre>' . $err . '</pre>';
            } else {
                // Display the result
                echo '<h2>Result</h2><pre>';
                print_r($result);
                echo '</pre>';
            }
        }
        ?>
    </body>
</html>